<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Administrar Menu</span>
</div>
<div id="conteudo">

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="m_id">ID</option>
  <option value="m_nome" selected="selected">Nome</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" class="botao" />
</div>
<!-- FIM Formulário de busca -->


  <?php
include("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM ctd_menu WHERE m_id = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM ctd_menu ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM ctd_menu ORDER BY m_ordem ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação

?>

<table align="center" class="form exibe">
  <tr>
    <th width="1">ID</th>
    <th>Nome</th>
    <th>Página</th>
    <th width="1">Ordem</th>
    <th width="1">Status</th>
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>
  
<?
while ($linha = mysqli_fetch_array($consulta)) {
$sql_pag = "SELECT * FROM ctd_paginas WHERE p_id = {$linha['m_pagina']}";
$con_pag = mysqli_query($conn, $sql_pag);
$sel_pag = mysqli_fetch_array($con_pag)
?>
  <tr>
    <td><?=$linha['m_id'];?></td>
    <td><?=$linha['m_nome'];?></td>
    <td><?=$sel_pag['p_nome'];?></td>
    <td align="center"><?=$linha['m_ordem'];?></td>
    <td><? if($linha['m_status']==0) { echo "<img src='imagem/red_button.png' />"; } 
	else { echo "<img src='imagem/green_button.png' />"; } ?></td>
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'ctd_menu_alt.php?id=<?=$linha['m_id'];?>'" /></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_menu(<?=$linha['m_id'];?>)" /></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>
